Skip to content
GitHub

List a project's environments.

GET
/api/v1/projects/{project}/environments
curl --request GET \
--url https://example.com/api/v1/projects/example/environments
project
required
string

Project name

Media typeapplication/json
Array<object>
object
name
required

Short name used in URLs, e.g. prod.

string
resource_name
required

Kubernetes object name, e.g. shop-prod.

string
project
required
string
env_type
required

standard, production or preview.

string
namespace
required
string
phase

Pending, Ready, Terminating or Degraded.

string | null
ready
required
boolean
message
string | null
deleting
required
boolean
deletion_scheduled_at

When a soft-deleted environment will be purged.

string | null
created_at
string | null
Examplegenerated
[
{
"name": "example",
"resource_name": "example",
"project": "example",
"env_type": "example",
"namespace": "example",
"phase": "example",
"ready": true,
"message": "example",
"deleting": true,
"deletion_scheduled_at": "example",
"created_at": "example"
}
]
Media typeapplication/json

Problem Details body.

object
code
required

Stable machine-readable code, e.g. forbidden.

string
title
required

Short human readable title.

string
status
required

HTTP status.

integer format: int32
detail

Details, if safe to expose.

string | null
Example
{
"code": "forbidden"
}